List reserved IPs
curl --request GET \
--url https://console.cloudblast.io/api/v2/reserved-ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.cloudblast.io/api/v2/reserved-ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.cloudblast.io/api/v2/reserved-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "203.0.113.50",
"type": "ipv4",
"gateway": "203.0.113.1",
"cidr": 24,
"rdns": null,
"subnet": "203.0.113.0/24",
"location": {
"id": 1,
"short_code": "nl",
"description": "Amsterdam, NL"
},
"server": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuid_short": "a1b2c3d4",
"hostname": "web-01"
},
"reserved_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"count": 2,
"limit": 8,
"used": 2,
"hourly_price": 0.00347
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid Authorization header. Use: Authorization: Bearer <token>"
}
}Reserved IPs
List Reserved IPs
Returns your reserved IPs, the server each one is attached to (if any), and your reservation limit and hourly price. An unused reserved IP is billed at hourly_price per hour; while a server uses it, it is billed like any other address of that server.
GET
/
reserved-ips
List reserved IPs
